import java.awt.Image;
import java.awt.Toolkit;
import java.io.DataInputStream;
import java.io.File;
import java.io.IOException;

/**
 *
 * @author shits
 *
 * Preguntas del examen teorico.
 */
public class Question {
	public String number;
	public boolean hasPic;
	public Image pic = null;
	public int nAnss;
	public int ans[];
	public String wording;
	public String alternatives[];
	
	public DataInputStream in;
	public String aux = new String();
	public String auxinfo = new String(); 
	public String[] auxdata;
	
	public Question(DataInputStream dis){
		in = dis;
		try {
			if(in.available() != 0)
			  auxinfo = in.readLine();
			auxdata = auxinfo.split("\t");
			getNumber();
			//if(getHasPic())
			//	pic = getPic();
			hasPic = getHasPic();
			getnAnss();
			ans = new int[nAnss];
			getAnss();
			getWording();
			alternatives = new String[4];
			getAlternatives();
		} catch (IOException e) {
			System.out.println("Cant read question info from file");
			e.printStackTrace();
		}
	}

	public Question() {
		number = null;
		hasPic = false;
		nAnss = 0;
		ans = new int[1];
		
	}

	private void getAlternatives() throws IOException {
		int i;
		for(i=0;i<4;i++){
			alternatives[i] = in.readLine();
		}
		
	}
	
	private void getWording() throws IOException {
		wording = in.readLine();
	
	}

	private void getAnss() {
		int i;
		for(i=0;i<nAnss;i++)
			ans[i] = Integer.parseInt(auxdata[3+i]);
		
	}

	private void getnAnss() {
		nAnss = Integer.parseInt(auxdata[2]);
		
	}
	
	public Image getPic() {
		String pathname = "questions\\"+ number + ".png";
		pic = Toolkit.getDefaultToolkit().getImage(pathname);
		return pic;
	}

	private boolean getHasPic() {
		if(Integer.parseInt(auxdata[1])==1)
			return true;
		return false;
	}

	private void getNumber() throws IOException {
		number = auxdata[0];
	}
	
	public void printQuestion(){
		int i;
		System.out.println("Question N: " + number);
		System.out.println(wording);
		for(i=0;i<alternatives.length;i++)
			System.out.println(alternatives[i]);
		System.out.println("Mark " + nAnss + " alternatives");
		System.out.print("The correct answer(s) is ");
		for(i=0;i<nAnss;i++)
			System.out.print(ans[i] + ", ");
		System.out.print("\n");
			
	}
	
}
