import java.awt.Container;

import javax.swing.JFrame;

/**
 * Frame para contener los respectivos objetos graficos utilizados para mostrar las
 * graficas de progreso.
 * @author Carlos Apablaza Brito & Rodrigo Mujica Ravest
 */
public class chartsFrame extends JFrame{
	public static final int DEFAULT_WIDTH = 1200;
	public static final int DEFAULT_HEIGHT = 800;
	
	/**
	    * Constructor basico con titulo y tamao default.
	    * @param user Usiario realizando la prueba.
	    */
	public chartsFrame(String user) {
	      setTitle("Graficos de Estadistica: " + user);
	      setSize(DEFAULT_WIDTH, DEFAULT_HEIGHT);
	  
	      ChartsPanel chartspanel = new ChartsPanel(user);
	      Container contentPane = getContentPane();
	      contentPane.add(chartspanel);
	   
	}
}
