import javax.swing.JLabel;
import javax.swing.JPanel;

/**
 * Panel presente en teoricoFrame, con la funcion mostrar al usuario el enunciado de la pregunta
 * actual y el numero de pregunta que esta contestando del quiz..
 * @author Carlos Apablaza Brito & Rodrigo Mujica Ravest
 */
public class enunciatePanel extends JPanel{
	public Quiz quiz;
	int qNum = 1;

	/**
	    * Constructor basico.
	    * @param pregs Quiz siendo tomado enla prueba actual.
	    */
	public enunciatePanel(Quiz pregs){
		quiz = pregs;
		JLabel questionNum = new JLabel(String.valueOf(qNum) + ".- ");
		JLabel enunciate = new JLabel(quiz.questions[qNum-1].wording);
		add(questionNum);
		add(enunciate);
	}
	
	 /**
	    * Realiza los cambios en el panel para pasar a la siguiente pregunta.
	    */
	public void next(){
		removeAll();
		qNum++;
		JLabel questionNum = new JLabel(String.valueOf(qNum) + ".- ");
		JLabel enunciate = new JLabel(quiz.questions[qNum-1].wording);
		add(questionNum);
		add(enunciate);
		this.paintAll(getGraphics());
	}
	
	 /**
	    * Borra todos los elementos presentes en el panel para poder cargar los nuevos elementos
	    * de la pregunta a presentar.
	    */
	public void clean(){
		removeAll();
		this.paintAll(getGraphics());
	}
}

