import javax.swing.JButton;
import javax.swing.JMenuBar;
import javax.swing.JMenu;
import javax.swing.JMenuItem;
import java.awt.event.*;

/**
 * Barra de menu del frame principal, con todos los accesos a las funcionalidades del programa.
 * @author Carlos Apablaza Brito & Rodrigo Mujica Ravest
 */
public class menuBar extends JMenuBar {
	/**
	    * Constructor basico.
	    * @param iel Listener utilizado para llevar a cabo las acciones de cada boton.
	    */
    public menuBar(InsertElementListener iel) {
      
      JMenu menu = new JMenu ("Archivo");
      add(menu);

        JMenu subMenu = new JMenu("Nuevo");
        menu.add(subMenu);

            JMenuItem menuItem = new JMenuItem("Nuevo Perfil...");
            menuItem.addActionListener(iel);
            subMenu.add(menuItem);

        subMenu = new JMenu("Cargar");
        menu.add(subMenu);

            menuItem = new JMenuItem("Cargar Perfil Antiguo");
            menuItem.addActionListener(iel);
            subMenu.add(menuItem);

        subMenu = new JMenu("Practicar");
        menu.add(subMenu);

            menuItem = new JMenuItem("Destreza Motora");
            menuItem.addActionListener(iel);
            subMenu.add(menuItem);

            menuItem = new JMenuItem("Tiempo de Reaccion");
            menuItem.addActionListener(iel);
            subMenu.add(menuItem);

            menuItem = new JMenuItem("Preguntas Teoricas");
            menuItem.addActionListener(iel);
            subMenu.add(menuItem);

            menuItem = new JMenuItem("Ver grafico evolutivo");
            menuItem.addActionListener(iel);
            subMenu.add(menuItem);

      menu = new JMenu("Ayuda");
      add(menu);

            menuItem = new JMenuItem("Temas de Ayuda");
            menuItem.addActionListener(iel);
            menu.add(menuItem);
   }
}
