import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.Graphics;
import java.awt.GridLayout;
import java.awt.Image;
import java.awt.Toolkit;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Observable;
import java.util.Observer;

import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JCheckBox;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.Timer;

/**
 * Clase principal del proyecto, contenedora del metodo main que creara el frame principal.
 * @author Carlos Apablaza Brito & Rodrigo Mujica Ravest
 */
public class JPsicoTecnico {
	public static psicoFrame psicoframe;
   public static void main(String[] args) {
	 InsertElementListener ieListener = new InsertElementListener();
	 JLabel usr = new JLabel("Debe identificarse con su nombre de usuario", JLabel.CENTER);
	 ieListener.setLabel(usr);
		      
	  psicoframe = new psicoFrame();
	  psicoframe.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	  psicoframe.setVisible(true);

	}
   
   /**
    * Desabilitar el frame principal, para asegurarnos de que se ejecute una prueba a la vez.
    */
   public void setDisabled(){
	   psicoframe.setEnabled(false);
   }
   /**
    * Habilitar el frame principal al volver desde el frame de una de las pruebas.
    */
   public void setEnabled(){
	   psicoframe.setEnabled(false);
   }
}

/**
 * Frame creado por la clase main.
 * @author Carlos Apablaza Brito & Rodrigo Mujica Ravest
 */
class psicoFrame extends JFrame {
	/**
	    * Constructor basico.
	    */
	public psicoFrame() {
		setTitle("JPsicotecnico");
		setSize(DEFAULT_WIDTH, DEFAULT_HEIGHT);
		      
		InsertElementListener ieListener = new InsertElementListener();

		JLabel usr = new JLabel("Debe identificarse con su nombre de usuario", JLabel.CENTER);

		ieListener.setLabel(usr);

		menuBar menubar = new menuBar(ieListener);
		setJMenuBar(menubar);

		add(usr);

	}
	public static final int DEFAULT_WIDTH = 400;
	public static final int DEFAULT_HEIGHT = 200;
}