import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.KeyEvent;
import java.io.BufferedInputStream;
import java.io.DataInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Date;
import java.util.Random;
import java.util.logging.Level;
import java.util.logging.Logger;

import javax.swing.AbstractButton;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;


public class reactionPanel extends JPanel implements ActionListener {
    GridLayout g = new GridLayout(3,1);
    protected JButton b1;
    private long time=0;
    private boolean color=false;
    long tinicial = 0;
    long tfinal = 0;
    private long result;
    private long temp;
    private int k=0;
    private String username;

    private JLabel label = new JLabel("Haga click en el boton para empezar\n", JLabel.CENTER);
    private JLabel l = new JLabel("", JLabel.CENTER);

    private ImageIcon ButtonIcon = createImageIcon("green.gif");

    public reactionPanel(String user) {
    	username = user;
        this.setLayout(g);
        b1 = new JButton("", ButtonIcon);
        b1.setVerticalTextPosition(AbstractButton.CENTER);
        b1.setHorizontalTextPosition(AbstractButton.LEADING); //aka LEFT, for left-to-right locales
        b1.setMnemonic(KeyEvent.VK_D);
        b1.setActionCommand("changecolor");

        //Listen for actions on button.
        b1.addActionListener(this);

        b1.setToolTipText("");

        //Add Components to this container, using the default FlowLayout.
        add(b1);
        add(label);
        add(l);
    }

    public void actionPerformed(ActionEvent e) {
        if ("changecolor".equals(e.getActionCommand())) {

            if (color==false) {
                ButtonIcon=createImageIcon("red.gif");

                Random rm = new Random();
                int rand = rm.nextInt(7);

                try {
                    Thread.sleep((rand+1)*1000);

                } catch (InterruptedException ex) {
                    Logger.getLogger(reactionPanel.class.getName()).log(Level.SEVERE, null, ex);
                }

                tinicial = new Date().getTime();

                color=true;
            }

            else if(color==true) {
                tfinal = new Date().getTime();

                time=(tfinal-tinicial);
                if(k<2) {
                    temp+=time;
                    k++;
                }
                else {
                    k=0;
                    result=temp/3;
                    temp=0;
                    l.setText("Promedio: "+result+ " [ms]");
                    saveResults();
                }

                ButtonIcon=createImageIcon("green.gif");
                label.setText("Tiempo: " + time + " [ms]");
                color=false;
            }

            b1.setIcon(ButtonIcon);
        }
    }

    private void saveResults() {
    	File infile;
		File outfile;
		
		infile = new File("profiles\\"+ username +"_reaccion.txt");
		outfile = new File("profiles\\temp2.txt");
		addDataToFile(infile, outfile, result);
		rearrangeFile(outfile,infile);	
	}
    
    private void rearrangeFile(File in, File out) {
		FileInputStream fis = null;
		BufferedInputStream bis = null;
		DataInputStream dis = null;
		FileWriter fout = null;
		PrintWriter fileout = null;
		boolean isFirstLine = true;
		
		try {
			fout = new FileWriter(out);
			fileout = new PrintWriter(fout);
			fis = new FileInputStream(in);
			bis = new BufferedInputStream(fis);
			dis = new DataInputStream(bis);
			
			while(dis.available()>0){
				fileout.println(dis.readLine());
	            fileout.flush();
			}
			
			fis.close();
			bis.close();
			dis.close();
			fout.close();
			fileout.close();
			

		  } catch (FileNotFoundException e) {
			      e.printStackTrace();
		  } catch (IOException e) {
			      e.printStackTrace();
		  }		
		
	}

	private void addDataToFile(File in, File out, double result) {
		FileInputStream fis = null;
		BufferedInputStream bis = null;
		DataInputStream dis = null;
		FileWriter fout = null;
		PrintWriter fileout = null;
		boolean isFirstLine = true;
		
		try {
			fout = new FileWriter(out);
			fileout = new PrintWriter(fout);
			fis = new FileInputStream(in);
			bis = new BufferedInputStream(fis);
			dis = new DataInputStream(bis);
			
			while(dis.available()>0){
				if(isFirstLine){
					int a = Integer.parseInt(dis.readLine());
					fileout.println(a+1);
					isFirstLine = false;
				}
				else
					fileout.println(dis.readLine());
	            fileout.flush();
			}
			fileout.println(result);
			fileout.flush();
			
			fis.close();
			bis.close();
			dis.close();
			fout.close();
			fileout.close();
			

		  } catch (FileNotFoundException e) {
			      e.printStackTrace();
		  } catch (IOException e) {
			      e.printStackTrace();
		  }		
		
	}

	/** Returns an ImageIcon, or null if the path was invalid. */
    protected static ImageIcon createImageIcon(String path) {
        java.net.URL imgURL = reactionPanel.class.getResource(path);
        if (imgURL != null) {
            return new ImageIcon(imgURL);
        } else {
            System.err.println("Couldn't find file: " + path);
            return null;
        }
    }
}
